#!/usr/bin/env python

"""
Python setup for seismic SEGY library

http://www.python.org/doc/current/dist/dist.html

./setup.py sdist
"""
if __name__ == "__main__":
    from distutils.core import setup

    setup (# Distribution meta-data
        name = "segy-py",
        version = "0.1",
        description = "Seismic SEGY reading library",
        author = 'Kurt Schwehr',
        author_email = 'kurt@cs.stanford.edu',
        maintainer = 'Kurt Schwehr',
        maintainer_email = 'goatbar@users.sourceforge.net',
        url = 'http://schwehr.org/software/segy/', # FIX: where?
        license = 'GNU GPL',
        long_description = """\
        Segy-py provides a python infrastructure for reading (and someday
        writing) segy seismic data files.
        FIX: write more!
        """,
        py_modules = ['segy','ebcdic','segy_sql','ibm']
        )

